# containers.podman.podman_save – Saves podman image to tar file

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman_save`.

- Synopsis

- Requirements

- Parameters

- Examples

## Synopsis

- podman save saves an image to either docker-archive, oci-archive, oci-dir (directory with oci manifest type), or docker-dir (directory with v2s2 manifest type) on the local machine, default is docker-archive.

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
compress boolean | Choices: no yes | Compress tarball image layers when pushing to a directory using the 'dir' transport. (default is same compression type, compressed or uncompressed, as source)
dest string / required |  | Destination file to write image to. aliases: path
executable string | Default: "podman" | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman`
force boolean | Choices: no yes ← | Force saving to file even if it exists.
format string | Choices: docker-archive oci-archive oci-dir docker-dir | Save image to docker-archive, oci-archive (see containers-transports(5)), oci-dir (oci transport), or docker-dir (dir transport with v2s2 manifest type).
image string / required |  | Image to save.
multi_image_archive boolean | Choices: no yes | Allow for creating archives with more than one image. Additional names will be interpreted as images instead of tags. Only supported for docker-archive.

## Examples

    # What modules does for example
    - containers.podman.podman_save:
        dest: /path/to/tar/file
        compress: true
        format: oci-dir

### Authors

- Sagi Shnaidman (@sshnaidm)